# $Revision: 1.15 $, $Date: 2010/03/15 07:34:40 $
# TODO locale file
Summary:	D-Bus service providing high-level OBEX client and server side functionality
Summary(pl.UTF-8):	Usługa D-Bus dostarczająca wysokopoziomową funkcjonalność klienta i serwera OBEX
Name:		obex-data-server
Version:	0.4.5
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://tadas.dailyda.com/software/%{name}-%{version}.tar.gz
# Source0-md5:	8b11e7527c1e3a36a2a9a0c52816ec7b
URL:		http://wiki.muiline.com/obex-data-server
BuildRequires:	GConf2-devel >= 2.6
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bluez-libs-devel >= 4.2
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	openobex-devel >= 1.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,preun):	GConf2 >= 2.6
Requires:	dbus-glib >= 0.60
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
obex-data-server is D-Bus service providing high-level OBEX client and
server side functionality. It currently supports OPP, FTP profiles and
Bluetooth transport.

%description -l pl.UTF-8
obex-data-server to usługa D-Bus udostępniająca wysokopoziomową
funkcjonalność klienta i serwera OBEX. Aktualnie obsługuje profile OPP
i FTP oraz transport Bluetooth.

%prep
%setup -q

%build
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-bip=gdk-pixbuf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/obex-data-server
%{_datadir}/dbus-1/services/obex-data-server.service
%dir %{_sysconfdir}/obex-data-server
%{_sysconfdir}/obex-data-server/*.xml
%{_mandir}/man1/obex-data-server.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: obex-data-server.spec,v $
Revision 1.15  2010/03/15 07:34:40  amateja
- updated to 0.4.5

Revision 1.14  2009/04/14 07:41:17  arekm
- up to 0.4.4

Revision 1.13  2008/10/20 17:26:57  qboosh
- updated BRs

Revision 1.12  2008/10/18 16:18:12  patrys
- use gdk-pixbuf, not ImageMagick
- rel 2

Revision 1.11  2008/10/18 15:46:47  patrys
- 0.4
- drop bluez api patch

Revision 1.10  2008/09/07 12:11:10  patrys
- add bluez api patch
- rel 1

Revision 1.9  2008/09/04 12:00:44  wolvverine
- up to 0.3.4, NFY

Revision 1.8  2008/09/01 20:01:57  arekm
- release 2

Revision 1.7  2008/08/17 23:54:06  patrys
- 0.3.2

Revision 1.6  2008-04-13 17:44:20  qboosh
- pl
- dropped unneeded Source0Download URL

Revision 1.5  2008-04-13 17:14:43  jajcus
- Version: 0.3.1

Revision 1.4  2008-03-27 19:44:36  patrys
- fix packaging
- rel 4

Revision 1.3  2008-03-27 19:34:37  patrys
- drop system config as adviced by bluez team

Revision 1.2  2008-03-23 17:36:05  patrys
- use system daemon
- rel 2

Revision 1.1  2008-03-23 16:51:50  patrys
- initial release
